package com.jeeplus.modules.oa.dao;

import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oa.entity.OaNotify;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@MyBatisDao
public interface OaNotifyDetailDao {
    public void batchInsert(Map map);

    public void deleteHandlers(@Param("notifyId") String notifyId, @Param("flag") int flag);

    List<Office> queryOfficeList(OaNotify oaNotify);

    List<User> queryUserList(OaNotify oaNotify);
}
